Index: doc/singular.idx
===================================================================
--- doc/singular.idx	(revision a719149f9dbe9f99164ada14b6234f2f7b085283)
+++ doc/singular.idx	(revision a070b84d59be835a2946d1386edd3221d80f3fe7)
@@ -305,368 +351,368 @@
 Emacs, running Singular under	Running SINGULAR under Emacs	sing_23.htm#SEC30	
 Emacs, user interface	Emacs user interface	sing_21.htm#SEC28	
-Emaxcont		sing_1429.htm#SEC1505	
-Equal		sing_1383.htm#SEC1459	
-Eresol		sing_1419.htm#SEC1495	
+Emaxcont		sing_1432.htm#SEC1508	
+Equal		sing_1386.htm#SEC1462	
+Eresol		sing_1422.htm#SEC1498	
 Evaluation of logical expressions	Evaluation of logical expressions	sing_459.htm#SEC499	
-Examples		sing_841.htm#SEC893	
+Examples		sing_843.htm#SEC895	
 Examples of ring declarations	Examples of ring declarations	sing_29.htm#SEC40	
-Exp for matrices		sing_1401.htm#IDX524	
-Experimental libraries	Experimental libraries	sing_2124.htm#SEC2200	
-Ext		sing_1198.htm#SEC1274	
-Ext, computation of		sing_862.htm#SEC914	
-Ext_R		sing_1197.htm#SEC1273	
-Exterior		sing_767.htm#SEC819	
-Extra weight vector		sing_898.htm#SEC950	
-Factorization		sing_864.htm#SEC916	
-Feynman graph		sing_1174.htm#IDX461	
-Finite fields		sing_858.htm#SEC910	
+Exp for matrices		sing_1404.htm#IDX531	
+Experimental libraries	Experimental libraries	sing_2127.htm#SEC2203	
+Ext		sing_1201.htm#SEC1277	
+Ext, computation of		sing_864.htm#SEC916	
+Ext_R		sing_1200.htm#SEC1276	
+Exterior		sing_769.htm#SEC821	
+Extra weight vector		sing_900.htm#SEC952	
+Factorization		sing_866.htm#SEC918	
+Feynman graph		sing_1177.htm#IDX468	
+Finite fields		sing_860.htm#SEC912	
 First steps		sing_6.htm#SEC12	
-Fitzgerald-Lax method	Fitzgerald-Lax method	sing_921.htm#SEC989	
+Fitzgerald-Lax method	Fitzgerald-Lax method	sing_923.htm#SEC991	
 Flow control		sing_40.htm#SEC70	
 Formal Checker		sing_59.htm#SEC96	
-Formatting output		sing_848.htm#SEC900	
-Free resolution		sing_860.htm#SEC912	
-Free resolution, graded	Handling graded modules	sing_861.htm#SEC913	
+Formatting output		sing_850.htm#SEC902	
+Free resolution		sing_862.htm#SEC914	
+Free resolution, graded	Handling graded modules	sing_863.htm#SEC915	
 Functions		sing_259.htm#SEC299	
-Future benefits of Singular 4	Notes for Singular users	sing_2468.htm#SEC2557	
-G-algebra		sing_534.htm#SEC574	
-G-algebra 		sing_534.htm#SEC576	
-G-algebra, setup		sing_534.htm#SEC578	
-GBWeight		sing_617.htm#SEC669	
-GBsolve		sing_1736.htm#SEC1812	
-GIT		sing_2290.htm#IDX877	
-GKZsystem		sing_734.htm#SEC786	
-GKdim		sing_707.htm#SEC759	
+Future benefits of Singular 4	Notes for Singular users	sing_2473.htm#SEC2562	
+G-algebra		sing_535.htm#SEC575	
+G-algebra 		sing_535.htm#SEC577	
+G-algebra, setup		sing_535.htm#SEC579	
+GBWeight		sing_618.htm#SEC670	
+GBsolve		sing_1739.htm#SEC1815	
+GIT		sing_2293.htm#IDX884	
+GKZsystem		sing_735.htm#SEC787	
+GKdim		sing_708.htm#SEC760	
 GMP		sing_1.htm#IDX3	
-GND.lib		sing_2297.htm#SEC2373	
-GND_lib		sing_2297.htm#SEC2373	
-GTZmod		sing_1246.htm#SEC1322	
-GTZopt		sing_1253.htm#SEC1329	
-G_a -Invariants		sing_880.htm#SEC932	
-Gamma		sing_1434.htm#SEC1510	
-Gauss-Manin connection	Gauss-Manin connection	sing_904.htm#SEC961	
-Gauss-Manin connection 		sing_1614.htm#IDX695	
-Gauss-Manin connection  		sing_1661.htm#IDX698	
-Gauss-Manin system		sing_1562.htm#IDX585	
-Gauss-Manin system 		sing_1563.htm#IDX596	
-Gauss-Manin system  		sing_1564.htm#IDX599	
-Gauss-Manin system   		sing_1565.htm#IDX602	
-Gauss-Manin system    		sing_1566.htm#IDX605	
-Gauss-Manin system     		sing_1567.htm#IDX609	
-Gauss-Manin system      		sing_1568.htm#IDX613	
-Gauss-Manin system       		sing_1569.htm#IDX619	
-Gauss-Manin system        		sing_1570.htm#IDX627	
-Gauss-Manin system         		sing_1571.htm#IDX633	
-Gauss-Manin system          		sing_1572.htm#IDX641	
-Gauss-Manin system           		sing_1573.htm#IDX651	
-Gauss-Manin system            		sing_1584.htm#IDX657	
-Gauss-Manin system             		sing_1586.htm#IDX668	
+GND.lib		sing_2300.htm#SEC2376	
+GND_lib		sing_2300.htm#SEC2376	
+GTZmod		sing_1249.htm#SEC1325	
+GTZopt		sing_1256.htm#SEC1332	
+G_a -Invariants		sing_882.htm#SEC934	
+Gamma		sing_1437.htm#SEC1513	
+Gauss-Manin connection	Gauss-Manin connection	sing_906.htm#SEC963	
+Gauss-Manin connection 		sing_1617.htm#IDX702	
+Gauss-Manin connection  		sing_1664.htm#IDX705	
+Gauss-Manin system		sing_1565.htm#IDX592	
+Gauss-Manin system 		sing_1566.htm#IDX603	
+Gauss-Manin system  		sing_1567.htm#IDX606	
+Gauss-Manin system   		sing_1568.htm#IDX609	
+Gauss-Manin system    		sing_1569.htm#IDX612	
+Gauss-Manin system     		sing_1570.htm#IDX616	
+Gauss-Manin system      		sing_1571.htm#IDX620	
+Gauss-Manin system       		sing_1572.htm#IDX626	
+Gauss-Manin system        		sing_1573.htm#IDX634	
+Gauss-Manin system         		sing_1574.htm#IDX640	
+Gauss-Manin system          		sing_1575.htm#IDX648	
+Gauss-Manin system           		sing_1576.htm#IDX658	
+Gauss-Manin system            		sing_1587.htm#IDX664	
+Gauss-Manin system             		sing_1589.htm#IDX675	
 General command syntax	General command syntax	sing_35.htm#SEC59	
 General concepts		sing_12.htm#SEC18	
-General purpose		sing_929.htm#SEC1005	
+General purpose		sing_931.htm#SEC1007	
 General syntax of a ring declaration	General syntax of a ring declaration	sing_30.htm#SEC41	
-Generalized Hilbert Syzygy Theorem	Syzygies and resolutions (plural)	sing_536.htm#SEC586	
-Generalized Newton identities	Generalized Newton identities	sing_920.htm#SEC986	
-Geometric genus		sing_1405.htm#IDX536	
-German Umlaute		sing_455.htm#IDX273	
+Generalized Hilbert Syzygy Theorem	Syzygies and resolutions (plural)	sing_537.htm#SEC587	
+Generalized Newton identities	Generalized Newton identities	sing_922.htm#SEC988	
+Geometric genus		sing_1408.htm#IDX543	
+German Umlaute		sing_455.htm#IDX279	
 Getting started		sing_5.htm#SEC11	
-Global orderings		sing_893.htm#SEC945	
-Graded commutative algebras	Graded commutative algebras (SCA)	sing_538.htm#SEC590	
+Global orderings		sing_895.htm#SEC947	
+Graded commutative algebras	Graded commutative algebras (SCA)	sing_539.htm#SEC591	
 Greuel, Gert-Martin		sing_1.htm#IDX18	
-Groebner Bases	Computing Groebner and Standard Bases	sing_852.htm#SEC904	
-Groebner bases in G-algebras	Groebner bases in G-algebras	sing_535.htm#SEC579	
-Groebner bases in free associative algebras	Groebner bases for two-sided ideals in free associative algebras	sing_541.htm#SEC593	
-Groebner bases, decodeGB		sing_1837.htm#IDX719	
-Groebner bases, slim		sing_855.htm#SEC907	
-Groebner basis conversion	Groebner basis conversion	sing_854.htm#SEC906	
-Groebner cover, parametric ideal, canonical, discussion of	extend	sing_956.htm#IDX410	
-Groebner cover, parametric ideal, canonical, discussion of 		sing_963.htm#IDX414	
-Groebner fan		sing_2041.htm#IDX736	
-Groebner walk		sing_1189.htm#IDX480	
-Groebner walk 		sing_1191.htm#IDX482	
-Groebner walk  		sing_2397.htm#IDX888	
-Groebner walk   		sing_2398.htm#IDX889	
-Gromov-Witten invariants		sing_1174.htm#IDX458	
-Gromov-Witten invariants 		sing_1180.htm#IDX467	
-Gromov-Witten invariants  		sing_1181.htm#IDX471	
-Gweights		sing_761.htm#SEC813	
-H2basis		sing_1619.htm#SEC1695	
-Hamburger-Noether expansion		sing_1499.htm#IDX555	
-Hamburger-Noether expansion 		sing_1587.htm#IDX677	
-Hamburger-Noether expansions		sing_1824.htm#IDX709	
-Handling graded modules	Handling graded modules	sing_861.htm#SEC913	
-Hcode		sing_1521.htm#SEC1597	
+Groebner Bases	Computing Groebner and Standard Bases	sing_854.htm#SEC906	
+Groebner bases in G-algebras	Groebner bases in G-algebras	sing_536.htm#SEC580	
+Groebner bases in free associative algebras	Groebner bases for two-sided ideals in free associative algebras	sing_542.htm#SEC594	
+Groebner bases, decodeGB		sing_1840.htm#IDX726	
+Groebner bases, slim		sing_857.htm#SEC909	
+Groebner basis conversion	Groebner basis conversion	sing_856.htm#SEC908	
+Groebner cover, parametric ideal, canonical, discussion of	extend	sing_958.htm#IDX416	
+Groebner cover, parametric ideal, canonical, discussion of 		sing_965.htm#IDX420	
+Groebner fan		sing_2044.htm#IDX743	
+Groebner walk		sing_1192.htm#IDX487	
+Groebner walk 		sing_1194.htm#IDX489	
+Groebner walk  		sing_2402.htm#IDX895	
+Groebner walk   		sing_2403.htm#IDX896	
+Gromov-Witten invariants		sing_1177.htm#IDX465	
+Gromov-Witten invariants 		sing_1183.htm#IDX474	
+Gromov-Witten invariants  		sing_1184.htm#IDX478	
+Gweights		sing_763.htm#SEC815	
+H2basis		sing_1622.htm#SEC1698	
+Hamburger-Noether expansion		sing_1502.htm#IDX562	
+Hamburger-Noether expansion 		sing_1590.htm#IDX684	
+Hamburger-Noether expansions		sing_1827.htm#IDX716	
+Handling graded modules	Handling graded modules	sing_863.htm#SEC915	
+Hcode		sing_1524.htm#SEC1600	
 Help string		sing_45.htm#SEC82	
 Hensel		sing_292.htm#SEC332	
-Hilbert function		sing_404.htm#IDX183	
-Hilbert function 		sing_901.htm#SEC955	
-Hilbert series		sing_901.htm#SEC955	
-Hilbert-driven GB algorithm	Groebner basis conversion	sing_854.htm#SEC906	
-HilbertClassPoly		sing_1909.htm#SEC1985	
-HilbertSeries		sing_1714.htm#SEC1790	
-HilbertWeights		sing_1715.htm#SEC1791	
-Hom		sing_1201.htm#SEC1277	
-HomJJ		sing_1276.htm#SEC1352	
-Hosten-Sturmfels algorithm	Hosten and Sturmfels	sing_910.htm#SEC967	
+Hilbert function		sing_404.htm#IDX188	
+Hilbert function 		sing_903.htm#SEC957	
+Hilbert series		sing_903.htm#SEC957	
+Hilbert-driven GB algorithm	Groebner basis conversion	sing_856.htm#SEC908	
+HilbertClassPoly		sing_1912.htm#SEC1988	
+HilbertSeries		sing_1717.htm#SEC1793	
+HilbertWeights		sing_1718.htm#SEC1794	
+Hom		sing_1204.htm#SEC1280	
+HomJJ		sing_1279.htm#SEC1355	
+Hosten-Sturmfels algorithm	Hosten and Sturmfels	sing_912.htm#SEC969	
 How to enter and exit	How to enter and exit	sing_14.htm#SEC20	
 How to use this manual	How to use this manual	sing_4.htm#SEC6	
-Hurwitz numbers		sing_1180.htm#IDX470	
-Hurwitz numbers 		sing_1181.htm#IDX474	
-Hypersurface singularities, classification of	Classification of hypersurface singularities	sing_877.htm#SEC929	
-IN		sing_329.htm#IDX144	
-Ideal membership		sing_900.htm#IDX406	
+Hurwitz numbers		sing_1183.htm#IDX477	
+Hurwitz numbers 		sing_1184.htm#IDX481	
+Hypersurface singularities, classification of	Classification of hypersurface singularities	sing_879.htm#SEC931	
+IN		sing_329.htm#IDX149	
+Ideal membership		sing_902.htm#IDX412	
 Identifiers, syntax of		sing_37.htm#SEC65	
-ImageGroup		sing_1717.htm#SEC1793	
-ImageVariety		sing_1716.htm#SEC1792	
-Imap, option		sing_364.htm#IDX170	
+ImageGroup		sing_1720.htm#SEC1796	
+ImageVariety		sing_1719.htm#SEC1795	
+Imap, option		sing_364.htm#IDX175	
 Implemented algorithms	Implemented algorithms	sing_33.htm#SEC47	
-Incl		sing_1382.htm#SEC1458	
-Index		sing_2476.htm#SEC2565	
+Incl		sing_1385.htm#SEC1461	
+Index		sing_2481.htm#SEC2570	
 Info string		sing_52.htm#SEC89	
-InterDiv		sing_1450.htm#SEC1526	
+InterDiv		sing_1453.htm#SEC1529	
 Interactive use		sing_13.htm#SEC19	
 Interrupting SINGULAR	Interrupting SINGULAR	sing_17.htm#SEC24	
-IntersectWithSub		sing_739.htm#SEC791	
-IntersectionMatrix		sing_1548.htm#SEC1624	
+IntersectWithSub		sing_740.htm#SEC792	
+IntersectionMatrix		sing_1551.htm#SEC1627	
 Introduction		sing_2.htm#SEC4	
-Invariant Theory		sing_879.htm#SEC931	
-Invariant theory		sing_1666.htm#SEC1742	
-InvariantQ		sing_1719.htm#SEC1795	
-InvariantRing		sing_1718.htm#SEC1794	
-Invariants of a finite group	Invariants of a finite group	sing_881.htm#SEC933	
-Invariants of plane curve singularities	Invariants of plane curve singularities	sing_875.htm#SEC927	
-IsSCA		sing_782.htm#SEC834	
-J-marked schemes		sing_1490.htm#IDX553	
-J-marked schemes, Borel ideals		sing_1495.htm#IDX554	
-JMBTest.lib		sing_1490.htm#SEC1566	
-JMBTest_lib		sing_1490.htm#SEC1566	
-JMSConst.lib		sing_1495.htm#SEC1571	
-JMSConst_lib		sing_1495.htm#SEC1571	
-JMarkedScheme		sing_1497.htm#SEC1573	
-Jacobi		sing_1919.htm#SEC1995	
-Jacobson form		sing_1874.htm#IDX720	
-Jacobson normal form		sing_1874.htm#IDX721	
-JuReTopDim		sing_1392.htm#SEC1468	
-JuReZeroDim		sing_1393.htm#SEC1469	
-KScoef		sing_1612.htm#SEC1688	
-KSconvert		sing_1610.htm#SEC1686	
-KSker		sing_1609.htm#SEC1685	
-KSlinear		sing_1611.htm#SEC1687	
-KSpencerKernel		sing_1659.htm#SEC1735	
-KeneshlouMatrixPresentation	KeneshlouMatrixPresentation	sing_2316.htm#SEC2392	
-Kernel of module homomorphisms	Kernel of module homomorphisms	sing_867.htm#SEC919	
-KoszulHomology		sing_1210.htm#SEC1286	
-LETTERPLACE		sing_539.htm#SEC591	
+Invariant Theory		sing_881.htm#SEC933	
+Invariant theory		sing_1669.htm#SEC1745	
+InvariantQ		sing_1722.htm#SEC1798	
+InvariantRing		sing_1721.htm#SEC1797	
+Invariants of a finite group	Invariants of a finite group	sing_883.htm#SEC935	
+Invariants of plane curve singularities	Invariants of plane curve singularities	sing_877.htm#SEC929	
+IsSCA		sing_784.htm#SEC836	
+J-marked schemes		sing_1493.htm#IDX560	
+J-marked schemes, Borel ideals		sing_1498.htm#IDX561	
+JMBTest.lib		sing_1493.htm#SEC1569	
+JMBTest_lib		sing_1493.htm#SEC1569	
+JMSConst.lib		sing_1498.htm#SEC1574	
+JMSConst_lib		sing_1498.htm#SEC1574	
+JMarkedScheme		sing_1500.htm#SEC1576	
+Jacobi		sing_1922.htm#SEC1998	
+Jacobson form		sing_1877.htm#IDX727	
+Jacobson normal form		sing_1877.htm#IDX728	
+JuReTopDim		sing_1395.htm#SEC1471	
+JuReZeroDim		sing_1396.htm#SEC1472	
+KScoef		sing_1615.htm#SEC1691	
+KSconvert		sing_1613.htm#SEC1689	
+KSker		sing_1612.htm#SEC1688	
+KSlinear		sing_1614.htm#SEC1690	
+KSpencerKernel		sing_1662.htm#SEC1738	
+KeneshlouMatrixPresentation	KeneshlouMatrixPresentation	sing_2319.htm#SEC2395	
+Kernel of module homomorphisms	Kernel of module homomorphisms	sing_869.htm#SEC921	
+KoszulHomology		sing_1213.htm#SEC1289	
+LETTERPLACE		sing_540.htm#SEC592	
 LIB		sing_333.htm#SEC373	
 LIB commands		sing_53.htm#SEC90	
-LIBs		sing_925.htm#SEC1001	
-LLL		sing_406.htm#IDX213	
-LOT algorithm		sing_588.htm#IDX328	
+LIBs		sing_927.htm#SEC1003	
+LLL		sing_406.htm#IDX219	
+LOT algorithm		sing_589.htm#IDX334	
 LU-decomposition of a matrix of numbers		sing_338.htm#SEC378	
-Laurent series		sing_1178.htm#IDX466	
-Left and two-sided Groebner bases	Left and two-sided Groebner bases	sing_883.htm#SEC935	
-Left ideal membership	Groebner bases in G-algebras	sing_535.htm#SEC582	
-Left normal form	Groebner bases in G-algebras	sing_535.htm#SEC581	
-LengthSym		sing_792.htm#SEC844	
-LengthSymElement		sing_791.htm#SEC843	
-Letterplace		sing_539.htm#SEC591	
-Lexicographic Groebner bases, computation of	Groebner basis conversion	sing_854.htm#SEC906	
+Laurent series		sing_1181.htm#IDX473	
+Left and two-sided Groebner bases	Left and two-sided Groebner bases	sing_885.htm#SEC937	
+Left ideal membership	Groebner bases in G-algebras	sing_536.htm#SEC583	
+Left normal form	Groebner bases in G-algebras	sing_536.htm#SEC582	
+LengthSym		sing_794.htm#SEC846	
+LengthSymElement		sing_793.htm#SEC845	
+Letterplace		sing_540.htm#SEC592	
+Lexicographic Groebner bases, computation of	Groebner basis conversion	sing_856.htm#SEC908	
 Libraries	Writing procedures and libraries	sing_48.htm#SEC85	
-Libraries 		sing_844.htm#SEC896	
+Libraries 		sing_846.htm#SEC898	
 Libraries in the SINGULAR Documentation	Libraries in the SINGULAR Documentation	sing_49.htm#SEC86	
-Library versioning	Notes for Singular users	sing_2468.htm#SEC2555	
-Lie algebra		sing_1400.htm#IDX521	
-Lie group		sing_1403.htm#IDX526	
-Lie group 		sing_1404.htm#IDX529	
+Library versioning	Notes for Singular users	sing_2473.htm#SEC2560	
+Lie algebra		sing_1403.htm#IDX528	
+Lie group		sing_1406.htm#IDX533	
+Lie group 		sing_1407.htm#IDX536	
 Limitations		sing_455.htm#SEC495	
-Linear algebra		sing_1078.htm#SEC1154	
-Linear code		sing_1837.htm#IDX716	
-LinearActionQ		sing_1721.htm#SEC1797	
-LinearCombinationQ		sing_1722.htm#SEC1798	
-LinearizeAction		sing_1720.htm#SEC1796	
+Linear algebra		sing_1081.htm#SEC1157	
+Linear code		sing_1840.htm#IDX723	
+LinearActionQ		sing_1724.htm#SEC1800	
+LinearCombinationQ		sing_1725.htm#SEC1801	
+LinearizeAction		sing_1723.htm#SEC1799	
 Loading a library		sing_62.htm#SEC99	
-Local orderings		sing_894.htm#SEC946	
-Log for matrices		sing_1402.htm#IDX525	
-Long coefficients		sing_846.htm#SEC898	
-M, ordering		sing_896.htm#SEC948	
-MVComplex		sing_2410.htm#SEC2486	
-Macintosh installation	Macintosh installation instructions	sing_2475.htm#SEC2564	
-Mathematical background	Mathematical background	sing_899.htm#SEC951	
-Mathematical background (plural)	Mathematical background (plural)	sing_533.htm#SEC573	
-Matrix orderings		sing_896.htm#SEC948	
-Max		sing_1628.htm#SEC1704	
-Maximus		sing_1492.htm#SEC1568	
-Maxord		sing_1433.htm#SEC1509	
-MillerRabin		sing_1929.htm#SEC2005	
-Milnor number	Milnor and Tjurina number	sing_870.htm#SEC922	
-Milnor number 		sing_2406.htm#IDX894	
-Min		sing_1629.htm#SEC1705	
-MinMult		sing_2231.htm#SEC2307	
-MinimalDecomposition	MinimalDecomposition	sing_1723.htm#SEC1799	
-Minimum distance		sing_1837.htm#IDX718	
-Minimus		sing_1491.htm#SEC1567	
-Miscellaneous libraries	Miscellaneous libraries	sing_2099.htm#SEC2175	
-ModEqn		sing_1622.htm#SEC1698	
-Modular techniques		sing_980.htm#IDX422	
-Module orderings		sing_895.htm#SEC947	
+Local orderings		sing_896.htm#SEC948	
+Log for matrices		sing_1405.htm#IDX532	
+Long coefficients		sing_848.htm#SEC900	
+M, ordering		sing_898.htm#SEC950	
+MVComplex		sing_2415.htm#SEC2491	
+Macintosh installation	Macintosh installation instructions	sing_2480.htm#SEC2569	
+Mathematical background	Mathematical background	sing_901.htm#SEC953	
+Mathematical background (plural)	Mathematical background (plural)	sing_534.htm#SEC574	
+Matrix orderings		sing_898.htm#SEC950	
+Max		sing_1631.htm#SEC1707	
+Maximus		sing_1495.htm#SEC1571	
+Maxord		sing_1436.htm#SEC1512	
+MillerRabin		sing_1932.htm#SEC2008	
+Milnor number	Milnor and Tjurina number	sing_872.htm#SEC924	
+Milnor number 		sing_2411.htm#IDX901	
+Min		sing_1632.htm#SEC1708	
+MinMult		sing_2234.htm#SEC2310	
+MinimalDecomposition	MinimalDecomposition	sing_1726.htm#SEC1802	
+Minimum distance		sing_1840.htm#IDX725	
+Minimus		sing_1494.htm#SEC1570	
+Miscellaneous libraries	Miscellaneous libraries	sing_2102.htm#SEC2178	
+ModEqn		sing_1625.htm#SEC1701	
+Modular techniques		sing_982.htm#IDX428	
+Module orderings		sing_897.htm#SEC949	
 Modules and and their annihilator	Modules and their annihilator	sing_10.htm#SEC16	
-Monodromy		sing_1614.htm#IDX693	
-Monomial orderings		sing_890.htm#SEC942	
+Monodromy		sing_1617.htm#IDX700	
+Monomial orderings		sing_892.htm#SEC944	
 Monomial orderings, Term orderings		sing_31.htm#SEC44	
-Morse lemma		sing_2405.htm#IDX892	
-MultiplicitySequence	MultiplicitySequence	sing_1546.htm#SEC1622	
+Morse lemma		sing_2410.htm#IDX899	
+MultiplicitySequence	MultiplicitySequence	sing_1549.htm#SEC1625	
 NF		sing_383.htm#SEC423	
-NF 		sing_525.htm#SEC565	
-NFMora		sing_1995.htm#SEC2071	
-NPos		sing_1266.htm#SEC1342	
-NPos_test		sing_1264.htm#SEC1340	
-NSplaces		sing_1825.htm#SEC1901	
+NF 		sing_526.htm#SEC566	
+NFMora		sing_1998.htm#SEC2074	
+NPos		sing_1269.htm#SEC1345	
+NPos_test		sing_1267.htm#SEC1343	
+NSplaces		sing_1828.htm#SEC1904	
 NTL		sing_1.htm#IDX4	
 Names		sing_37.htm#SEC65	
 Names in procedures		sing_46.htm#SEC83	
 Names, indexed		sing_37.htm#SEC65	
-New libraries depending on Singular 4	Notes for Singular users	sing_2468.htm#SEC2553	
-New orderings for modules	Notes for Singular users	sing_2468.htm#SEC2556	
-Newton non-degenerate		sing_1601.htm#IDX691	
-Newton polygon		sing_1600.htm#IDX690	
-Newton polygon 		sing_1601.htm#IDX692	
-Newton polytope		sing_2041.htm#IDX735	
-NoetherPosition		sing_1260.htm#SEC1336	
-Non-commutative LIBs	Non-commutative libraries	sing_545.htm#SEC597	
-Non-commutative algebra	Non-commutative algebra	sing_882.htm#SEC934	
-Non-commutative algebra 		sing_916.htm#SEC973	
-Non-commutative libraries	Non-commutative libraries	sing_545.htm#SEC597	
-Non-commutative subsystem	Non-commutative subsystem	sing_468.htm#SEC508	
-Nonhyp		sing_1422.htm#SEC1498	
-Normal form		sing_900.htm#IDX405	
-Normalization		sing_866.htm#SEC918	
-Notes for Singular users	Notes for Singular users	sing_2468.htm#SEC2550	
-Notes for developers	Notes for developers	sing_2469.htm#SEC2558	
-NullCone		sing_1724.htm#SEC1800	
-NumIrrDecom		sing_1396.htm#SEC1472	
-NumLocalDim		sing_1385.htm#SEC1461	
-NumPrimDecom		sing_1398.htm#SEC1474	
-Oaku-Takayama algorithm		sing_588.htm#IDX326	
+New libraries depending on Singular 4	Notes for Singular users	sing_2473.htm#SEC2558	
+New orderings for modules	Notes for Singular users	sing_2473.htm#SEC2561	
+Newton non-degenerate		sing_1604.htm#IDX698	
+Newton polygon		sing_1603.htm#IDX697	
+Newton polygon 		sing_1604.htm#IDX699	
+Newton polytope		sing_2044.htm#IDX742	
+NoetherPosition		sing_1263.htm#SEC1339	
+Non-commutative LIBs	Non-commutative libraries	sing_546.htm#SEC598	
+Non-commutative algebra	Non-commutative algebra	sing_884.htm#SEC936	
+Non-commutative algebra 		sing_918.htm#SEC975	
+Non-commutative libraries	Non-commutative libraries	sing_546.htm#SEC598	
+Non-commutative subsystem	Non-commutative subsystem	sing_469.htm#SEC509	
+Nonhyp		sing_1425.htm#SEC1501	
+Normal form		sing_902.htm#IDX411	
+Normalization		sing_868.htm#SEC920	
+Notes for Singular users	Notes for Singular users	sing_2473.htm#SEC2555	
+Notes for developers	Notes for developers	sing_2474.htm#SEC2563	
+NullCone		sing_1727.htm#SEC1803	
+NumIrrDecom		sing_1399.htm#SEC1475	
+NumLocalDim		sing_1388.htm#SEC1464	
+NumPrimDecom		sing_1401.htm#SEC1477	
+Oaku-Takayama algorithm		sing_589.htm#IDX332	
 Objects		sing_38.htm#SEC66	
-Orlik-Solomon		sing_2154.htm#IDX827	
-Output, formatting of		sing_848.htm#SEC900	
-PBW		sing_567.htm#IDX314	
-PBW basis		sing_534.htm#SEC575	
-PBW_eqDeg		sing_585.htm#SEC637	
-PBW_maxDeg		sing_586.htm#SEC638	
-PBW_maxMonom		sing_587.htm#SEC639	
-PEsolve		sing_1734.htm#SEC1810	
-PH_ais		sing_2103.htm#SEC2179	
-PH_nais		sing_2104.htm#SEC2180	
-PLURAL		sing_469.htm#SEC509	
-PLURAL LIBs	Non-commutative libraries	sing_545.htm#SEC597	
-ParToVar		sing_2280.htm#SEC2356	
-Parallelization	Parallelization with ssi links	sing_850.htm#SEC902	
-Parallelization 		sing_980.htm#IDX423	
+Orlik-Solomon		sing_2157.htm#IDX834	
+Output, formatting of		sing_850.htm#SEC902	
+PBW		sing_568.htm#IDX320	
+PBW basis		sing_535.htm#SEC576	
+PBW_eqDeg		sing_586.htm#SEC638	
+PBW_maxDeg		sing_587.htm#SEC639	
+PBW_maxMonom		sing_588.htm#SEC640	
+PEsolve		sing_1737.htm#SEC1813	
+PH_ais		sing_2106.htm#SEC2182	
+PH_nais		sing_2107.htm#SEC2183	
+PLURAL		sing_470.htm#SEC510	
+PLURAL LIBs	Non-commutative libraries	sing_546.htm#SEC598	
+ParToVar		sing_2283.htm#SEC2359	
+Parallelization	Parallelization with ssi links	sing_852.htm#SEC904	
+Parallelization 		sing_982.htm#IDX429	
 Parameter list		sing_44.htm#SEC81	
-Parameters		sing_847.htm#SEC899	
-Parametrization		sing_1405.htm#IDX533	
-Parametrization, image.		sing_1415.htm#IDX545	
-PartC		sing_2226.htm#SEC2302	
-PartitionVar		sing_2277.htm#SEC2353	
-Path names	Notes for Singular users	sing_2468.htm#SEC2554	
-PerfectPowerTest		sing_1892.htm#SEC1968	
-Perturbation walk		sing_1190.htm#IDX481	
+Parameters		sing_849.htm#SEC901	
+Parametrization		sing_1408.htm#IDX540	
+Parametrization, image.		sing_1418.htm#IDX552	
+PartC		sing_2229.htm#SEC2305	
+PartitionVar		sing_2280.htm#SEC2356	
+Path names	Notes for Singular users	sing_2473.htm#SEC2559	
+PerfectPowerTest		sing_1895.htm#SEC1971	
+Perturbation walk		sing_1193.htm#IDX488	
 Pfister, Gerhard		sing_1.htm#IDX19	
 Pipe links		sing_116.htm#SEC156	
-PocklingtonLehmer		sing_1931.htm#SEC2007	
-Poincare polynomial		sing_2166.htm#IDX851	
-Polar curves		sing_872.htm#SEC924	
-PollardRho		sing_1932.htm#SEC2008	
-PolyBoRi, Boolean Groebner Basis	recursive_from_boolean_poly	sing_2106.htm#IDX752	
-PolyBoRi, Boolean Groebner Basis 		sing_2108.htm#IDX753	
-PolyBoRi, Boolean Groebner Basis  		sing_2109.htm#IDX754	
-PolyBoRi, Boolean Groebner Basis   		sing_2110.htm#IDX755	
-PolyBoRi, Boolean Groebner Basis    		sing_2111.htm#IDX756	
-PolyBoRi, Boolean Groebner Basis     		sing_2112.htm#IDX757	
-PolyBoRi, Boolean Groebner Basis      		sing_2113.htm#IDX758	
-PolyBoRi, Boolean Groebner Basis       		sing_2114.htm#IDX759	
-PolyBoRi, Boolean Groebner Basis        		sing_2115.htm#IDX760	
-PolyBoRi, Boolean Groebner Basis         		sing_2116.htm#IDX761	
-PolyBoRi, Boolean Groebner Basis          		sing_2117.htm#IDX762	
-PolyBoRi, Boolean Groebner Basis           		sing_2118.htm#IDX763	
-PolyBoRi, Boolean Groebner Basis            		sing_2119.htm#IDX764	
-PolyBoRi, Boolean Groebner Basis             		sing_2120.htm#IDX765	
-PolyBoRi, Boolean Groebner Basis              		sing_2122.htm#IDX767	
-PolyBoRi, zero-supressed decision diagram		sing_2121.htm#IDX766	
-Polybori, Boolean Groebner Basis		sing_2123.htm#IDX768	
-Polynomial data		sing_888.htm#SEC940	
-Pottier algorithm		sing_909.htm#SEC966	
+PocklingtonLehmer		sing_1934.htm#SEC2010	
+Poincare polynomial		sing_2169.htm#IDX858	
+Polar curves		sing_874.htm#SEC926	
+PollardRho		sing_1935.htm#SEC2011	
+PolyBoRi, Boolean Groebner Basis	recursive_from_boolean_poly	sing_2109.htm#IDX759	
+PolyBoRi, Boolean Groebner Basis 		sing_2111.htm#IDX760	
+PolyBoRi, Boolean Groebner Basis  		sing_2112.htm#IDX761	
+PolyBoRi, Boolean Groebner Basis   		sing_2113.htm#IDX762	
+PolyBoRi, Boolean Groebner Basis    		sing_2114.htm#IDX763	
+PolyBoRi, Boolean Groebner Basis     		sing_2115.htm#IDX764	
+PolyBoRi, Boolean Groebner Basis      		sing_2116.htm#IDX765	
+PolyBoRi, Boolean Groebner Basis       		sing_2117.htm#IDX766	
+PolyBoRi, Boolean Groebner Basis        		sing_2118.htm#IDX767	
+PolyBoRi, Boolean Groebner Basis         		sing_2119.htm#IDX768	
+PolyBoRi, Boolean Groebner Basis          		sing_2120.htm#IDX769	
+PolyBoRi, Boolean Groebner Basis           		sing_2121.htm#IDX770	
+PolyBoRi, Boolean Groebner Basis            		sing_2122.htm#IDX771	
+PolyBoRi, Boolean Groebner Basis             		sing_2123.htm#IDX772	
+PolyBoRi, Boolean Groebner Basis              		sing_2125.htm#IDX774	
+PolyBoRi, zero-supressed decision diagram		sing_2124.htm#IDX773	
+Polybori, Boolean Groebner Basis		sing_2126.htm#IDX775	
+Polynomial data		sing_890.htm#SEC942	
+Pottier algorithm		sing_911.htm#SEC968	
 Preface		sing_1.htm#SEC1	
-Prep		sing_961.htm#SEC1037	
-Primary decomposition	Primary decomposition	sing_865.htm#SEC917	
-PrimdecA		sing_1242.htm#SEC1318	
-PrimdecB		sing_1243.htm#SEC1319	
+Prep		sing_963.htm#SEC1039	
+Primary decomposition	Primary decomposition	sing_867.htm#SEC919	
+PrimdecA		sing_1245.htm#SEC1321	
+PrimdecB		sing_1246.htm#SEC1322	
 Procedure definition	Procedure definition	sing_43.htm#SEC78	
 Procedure-specific commands	Procedure-specific commands	sing_47.htm#SEC84	
 Procedures		sing_42.htm#SEC77	
 Procedures and libraries	Writing procedures and libraries	sing_8.htm#SEC14	
-Procedures and libraries 		sing_844.htm#SEC896	
+Procedures and libraries 		sing_846.htm#SEC898	
 Procedures in a library	Procedures in a library	sing_54.htm#SEC91	
-Product orderings		sing_897.htm#SEC949	
-Programming		sing_842.htm#SEC894	
-PtoCrep		sing_962.htm#SEC1038	
-Puiseux expansion		sing_1499.htm#IDX556	
-Puiseux expansion 		sing_1587.htm#IDX678	
-Puiseux pairs	Invariants of plane curve singularities	sing_875.htm#SEC927	
-Puiseux pairs 		sing_1593.htm#IDX683	
-Qso3Casimir		sing_733.htm#SEC785	
-Quotient		sing_1776.htm#SEC1852	
-QuotientEquations		sing_1623.htm#SEC1699	
-Rational curves		sing_1405.htm#IDX534	
-ReJunkUseHomo		sing_1391.htm#SEC1467	
-ReesAlgebra		sing_1358.htm#SEC1434	
-References		sing_924.htm#SEC998	
-References (plural)		sing_537.htm#SEC587	
-Release Notes		sing_2464.htm#SEC2540	
-ResTree		sing_1451.htm#SEC1527	
+Product orderings		sing_899.htm#SEC951	
+Programming		sing_844.htm#SEC896	
+PtoCrep		sing_964.htm#SEC1040	
+Puiseux expansion		sing_1502.htm#IDX563	
+Puiseux expansion 		sing_1590.htm#IDX685	
+Puiseux pairs	Invariants of plane curve singularities	sing_877.htm#SEC929	
+Puiseux pairs 		sing_1596.htm#IDX690	
+Qso3Casimir		sing_734.htm#SEC786	
+Quotient		sing_1779.htm#SEC1855	
+QuotientEquations		sing_1626.htm#SEC1702	
+Rational curves		sing_1408.htm#IDX541	
+ReJunkUseHomo		sing_1394.htm#SEC1470	
+ReesAlgebra		sing_1361.htm#SEC1437	
+References		sing_926.htm#SEC1000	
+References (plural)		sing_538.htm#SEC588	
+Release Notes		sing_2469.htm#SEC2545	
+ResTree		sing_1454.htm#SEC1530	
 Resolution		sing_11.htm#SEC17	
-Resolution of singularities	Resolution of singularities	sing_878.htm#SEC930	
-Resolution, free		sing_860.htm#SEC912	
-ReynoldsImage		sing_1725.htm#SEC1801	
-ReynoldsOperator		sing_1726.htm#SEC1802	
-RiemannRochBN		sing_2171.htm#SEC2247	
-RiemannRochHess		sing_2335.htm#SEC2411	
-Right Groebner bases and syzygies	Right Groebner bases and syzygies	sing_884.htm#SEC936	
-Ring-dependent options	Notes for Singular users	sing_2468.htm#SEC2552	
+Resolution of singularities	Resolution of singularities	sing_880.htm#SEC932	
+Resolution, free		sing_862.htm#SEC914	
+ReynoldsImage		sing_1728.htm#SEC1804	
+ReynoldsOperator		sing_1729.htm#SEC1805	
+RiemannRochBN		sing_2174.htm#SEC2250	
+RiemannRochHess		sing_2338.htm#SEC2414	
+Right Groebner bases and syzygies	Right Groebner bases and syzygies	sing_886.htm#SEC938	
+Ring-dependent options	Notes for Singular users	sing_2473.htm#SEC2557	
 Rings and orderings		sing_28.htm#SEC39	
 Rings and standard bases	Rings and standard bases	sing_7.htm#SEC13	
 Running SINGULAR under Emacs	Running SINGULAR under Emacs	sing_23.htm#SEC30	
-SCA	Graded commutative algebras (SCA)	sing_538.htm#SEC590	
+SCA	Graded commutative algebras (SCA)	sing_539.htm#SEC591	
 SDB breakpoint	Source code debugger	sing_66.htm#SEC106	
 SDB debugger	Source code debugger	sing_66.htm#SEC106	
-SDLoc		sing_615.htm#SEC667	
-SINGULAR libraries		sing_925.htm#SEC1001	
+SDLoc		sing_616.htm#SEC668	
+SINGULAR libraries		sing_927.htm#SEC1003	
 SINGULARHIST		sing_18.htm#SEC25	
-SScontinue		sing_1062.htm#SEC1138	
-SSres		sing_1060.htm#SEC1136	
-SSsyz		sing_1061.htm#SEC1137	
-SV-decoding algorithm		sing_1832.htm#IDX712	
-SV-decoding algorithm, preprocessing		sing_1831.htm#IDX711	
-Sannfs		sing_591.htm#SEC643	
-SannfsBFCT		sing_600.htm#SEC652	
-SannfsVar		sing_647.htm#SEC699	
-Sannfslog		sing_592.htm#SEC644	
-Saturation		sing_857.htm#SEC909	
-Saturation 		sing_1171.htm#IDX452	
-Saturation  		sing_2463.htm#SEC2539	
+SScontinue		sing_1065.htm#SEC1141	
+SSres		sing_1063.htm#SEC1139	
+SSsyz		sing_1064.htm#SEC1140	
+SV-decoding algorithm		sing_1835.htm#IDX719	
+SV-decoding algorithm, preprocessing		sing_1834.htm#IDX718	
+Sannfs		sing_592.htm#SEC644	
+SannfsBFCT		sing_601.htm#SEC653	
+SannfsVar		sing_648.htm#SEC700	
+Sannfslog		sing_593.htm#SEC645	
+Saturation		sing_859.htm#SEC911	
+Saturation 		sing_1174.htm#IDX459	
+Saturation  		sing_2468.htm#SEC2544	
 Sch@"onemann, Hans		sing_1.htm#IDX20	
-Schoof		sing_1943.htm#SEC2019	
-Schreyer ordering		sing_1055.htm#IDX439	
-Schreyer resolution		sing_1055.htm#IDX440	
-SchurCh		sing_2223.htm#SEC2299	
-SchurS		sing_2222.htm#SEC2298	
-Scontinue		sing_1059.htm#SEC1135	
-Semigroup		sing_1539.htm#SEC1615	
-Setting up a G-algebra		sing_534.htm#SEC578	
-ShanksMestre		sing_1942.htm#SEC2018	
-SimplifyIdeal		sing_1727.htm#SEC1803	
-Singular		sing_406.htm#IDX245	
-Singular 3 and Singular 4	Singular 3 and Singular 4	sing_2466.htm#SEC2548	
+Schoof		sing_1946.htm#SEC2022	
+Schreyer ordering		sing_1058.htm#IDX446	
+Schreyer resolution		sing_1058.htm#IDX447	
+SchurCh		sing_2226.htm#SEC2302	
+SchurS		sing_2225.htm#SEC2301	
+Scontinue		sing_1062.htm#SEC1138	
+Semigroup		sing_1542.htm#SEC1618	
+Setting up a G-algebra		sing_535.htm#SEC579	
+ShanksMestre		sing_1945.htm#SEC2021	
+SimplifyIdeal		sing_1730.htm#SEC1806	
+Singular		sing_406.htm#IDX251	
+Singular 3 and Singular 4	Singular 3 and Singular 4	sing_2471.htm#SEC2553	
 Singular, customization of Emacs user interface	Customization of the Emacs interface	sing_25.htm#SEC36	
 Singular, demo mode		sing_24.htm#SEC35	
